

	-- TIMER SET UP (TO REDUCE SPAM)
	local GoHv5_Timer = {}
	_G.GoHv5_Timer = GoHv5_Timer
	local frame = _G.GoHv5_Timer_Frame
	local GoH_Timer_Time = 0;
	local GoH_Timer_Ticks_at = 102; --time to get to
	local GoH_elapsedTime = 1

function GoHv5_Timer:OnUpdate(GoH_elapsedTime)

	GoH5_DeathKnight_SavedVariables();

	doSavedVariable_Plugin_Check();
	doBloodPresenceReminder();
	doAutoDeclineCheck();
	GoHv5_doDeathKnight_PlayerFrames();
	GoHv5_doDeathKnight_EndCaps();
	do_HornOfWinter_Reminder();

	if GoHv5_DeathKnight_Data.config.GoH_Timer_Ready == "NO" then

		-- If I use GoH_elapsedTime in the next line instead of 1,
		-- WoW decides to be a bitch. So I just use 1.
        GoHv5_DeathKnight_Data.config.GoH_Timer_Time = GoHv5_DeathKnight_Data.config.GoH_Timer_Time + 1;
        -- print(GoHv5_DeathKnight_Data.config.GoH_Timer_Time);
        if(GoHv5_DeathKnight_Data.config.GoH_Timer_Time >= 102) then
            --Your timer just dinged, now do whatever you want.
            GoHv5_DeathKnight_Data.config.GoH_Timer_Ready = "YES";
            GoHv5_DeathKnight_Data.config.GoH_Timer_Time = 0;
        end

	end

end

function doSavedVariable_Plugin_Check()

			-- CHECK TO SEE IF GoH_Druid IS INSTALLED
			_, _, _, GoH_Druid_enabled, _, _, _ = GetAddOnInfo("GoH_Druid")
			if GoH_Druid_enabled == 1 then
				-- IF GoH_Druid IS INSTALLED
				GoH_Druid_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Hunter IS INSTALLED
			_, _, _, GoH_Hunter_enabled, _, _, _ = GetAddOnInfo("GoH_Hunter")
			if GoH_Hunter_enabled == 1 then
				-- IF GoH_Hunter IS INSTALLED
				GoH_Hunter_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Mage IS INSTALLED
			_, _, _, GoH_Mage_enabled, _, _, _ = GetAddOnInfo("GoH_Mage")
			if GoH_Mage_enabled == 1 then
				-- IF GoH_Mage IS INSTALLED
				GoH_Mage_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Monk IS INSTALLED
			_, _, _, GoH_Monk_enabled, _, _, _ = GetAddOnInfo("GoH_Monk")
			if GoH_Monk_enabled == 1 then
				-- IF GoH_Monk IS INSTALLED
				GoH_Monk_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Paladin IS INSTALLED
			_, _, _, GoH_Paladin_enabled, _, _, _ = GetAddOnInfo("GoH_Paladin")
			if GoH_Paladin_enabled == 1 then
				-- IF GoH_Paladin IS INSTALLED
				GoH_Paladin_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Priest IS INSTALLED
			_, _, _, GoH_Priest_enabled, _, _, _ = GetAddOnInfo("GoH_Priest")
			if GoH_Priest_enabled == 1 then
				-- IF GoH_Priest IS INSTALLED
				GoH_Priest_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Rogue IS INSTALLED
			_, _, _, GoH_Rogue_enabled, _, _, _ = GetAddOnInfo("GoH_Rogue")
			if GoH_Rogue_enabled == 1 then
				-- IF GoH_Rogue IS INSTALLED
				GoH_Rogue_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Shaman IS INSTALLED
			_, _, _, GoH_Shaman_enabled, _, _, _ = GetAddOnInfo("GoH_Shaman")
			if GoH_Shaman_enabled == 1 then
				-- IF GoH_Shaman IS INSTALLED
				GoH_Shaman_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Warlock IS INSTALLED
			_, _, _, GoH_Warlock_enabled, _, _, _ = GetAddOnInfo("GoH_Warlock")
			if GoH_Warlock_enabled == 1 then
				-- IF GoH_Warlock IS INSTALLED
				GoH_Warlock_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Warrior IS INSTALLED
			_, _, _, GoH_Warrior_enabled, _, _, _ = GetAddOnInfo("GoH_Warrior")
			if GoH_Warrior_enabled == 1 then
				-- IF GoH_Warrior IS INSTALLED
				GoH_Warrior_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Mounts IS INSTALLED
			_, _, _, GoH_Mounts_enabled, _, _, _ = GetAddOnInfo("GoH_Mounts")
			if GoH_Mounts_enabled == 1 then
				-- IF GoH_Mounts IS INSTALLED
				GoH_Mounts_SavedVariables();
			end

			-- CHECK TO SEE IF GoH_Pokemon IS INSTALLED
			_, _, _, GoH_Pokemon_enabled, _, _, _ = GetAddOnInfo("GoH_Pokemon")
			if GoH_Pokemon_enabled == 1 then
			-- IF GoH_Pokemon IS INSTALLED
				GoH_Pokemon_SavedVariables();
			end

end